var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import { isToday } from "date-fns";
import { defaultModifiers } from "../components/DayPicker/defaults/defaultModifiers";
import { getModifiersFromProps } from "./utils/getModifiersFromProps";
import { listModifiers } from "./utils/listModifiers";
/**
 * Helper class to move modifiers around the components.
 */
var DateWithModifiers = /** @class */ (function () {
    function DateWithModifiers(date, initialModifiers, props) {
        if (initialModifiers === void 0) { initialModifiers = {}; }
        this.date = date;
        var modifiers = __assign(__assign(__assign({}, defaultModifiers), { today: isToday(date) }), initialModifiers);
        if (modifiers.outside && !props.showOutsideDays) {
            modifiers.hidden = true;
        }
        modifiers.disabled = Boolean(modifiers.outside && !props.enableOutsideDaysClick);
        var modifiersFromProps = getModifiersFromProps(props);
        var modifiersArray = listModifiers(date, modifiersFromProps);
        modifiersArray.forEach(function (modifier) { return (modifiers[modifier] = true); });
        if (!props.onDayClick || modifiers.hidden || modifiers.disabled) {
            modifiers.interactive = false;
        }
        this.modifiers = modifiers;
    }
    DateWithModifiers.prototype.getModifier = function (name) {
        return this.modifiers[name];
    };
    return DateWithModifiers;
}());
export { DateWithModifiers };
//# sourceMappingURL=DateWithModifiers.js.map