import { matchDay } from "./matchModifier";
/**
 * @ignore
 */
var reduceCallback = function (day, modifiers) { return function (previousValue, key) {
    var modifier = modifiers[key];
    if (matchDay(day, modifier)) {
        previousValue.push(key);
    }
    return previousValue;
}; };
/**
 * Given a date and a list of modifiers, return the names of the modifiers matching that day.
 */
export function listModifiers(day, modifiers) {
    return Object.keys(modifiers).reduce(reduceCallback(day, modifiers), []);
}
//# sourceMappingURL=listModifiers.js.map