import { endOfWeek, differenceInDays, addDays } from "date-fns";
import { DateWithModifiers } from "../../classes/DateWithModifiers";
/**
 * Return the outside ending days for the given day.
 */
export function getOutsideEndDays(day, props) {
    var locale = props.locale;
    var days = [];
    var lastDayOfWeek = endOfWeek(day.date, { locale: locale });
    var endDiff = differenceInDays(lastDayOfWeek, day.date);
    for (var i = 1; i <= endDiff; i++) {
        var dayDate = addDays(day.date, i);
        var hidden = props.toMonth && dayDate > props.toMonth;
        var modifiers = { outsideend: true, hidden: hidden };
        var dateWithModifiers = new DateWithModifiers(dayDate, modifiers, props);
        days.push(dateWithModifiers);
    }
    return days;
}
//# sourceMappingURL=getOutsideEndDays.js.map