import { startOfWeek, differenceInDays, addDays } from "date-fns";
import { DateWithModifiers } from "../../classes/DateWithModifiers";
/**
 * Return the outside starting days for the given day.
 */
export function getOutsideStartDays(day, props) {
    var locale = props.locale;
    var days = [];
    var firstDayOfWeek = startOfWeek(day.date, { locale: locale });
    var startDiff = differenceInDays(day.date, firstDayOfWeek);
    for (var i = 0; i < startDiff; i++) {
        var newDay = addDays(firstDayOfWeek, i);
        var hidden = props.fromMonth && newDay < props.fromMonth;
        var modifiers = { outsidestart: true, hidden: hidden };
        var dateWithModifiers = new DateWithModifiers(newDay, modifiers, props);
        days.push(dateWithModifiers);
    }
    return days;
}
//# sourceMappingURL=getOutsideStartDays.js.map